export interface ImmutableSetWrapper<T> {
    add: (value: T) => ImmutableSetWrapper<T>;
    addMany: (values?: T[]) => ImmutableSetWrapper<T>;
    delete: (value: T) => ImmutableSetWrapper<T>;
    deleteMany: (values?: T[]) => ImmutableSetWrapper<T>;
    clear: () => ImmutableSetWrapper<T>;
    unwrap: () => Set<T>;
}
export declare const ImmutableSetUtils: Readonly<{
    add: <T>(set: Set<T>, value: T) => Set<T>;
    delete: <T>(set: Set<T>, value: T) => Set<T>;
    clear: <T>(set: Set<T>) => Set<T>;
    wrap: <T>(set: Set<T>) => ImmutableSetWrapper<T>;
}>;
//# sourceMappingURL=immutableSet.d.ts.map